Talmud in English
Filterhost
2.0 Varies with device
Gemara Talmud Bavli in English

Content rating: Everyone

Requires OS: 4.0 and up

...more ...less